source: squid-ssl/trunk/fuentes/src/mgr/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 41.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/mgr
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libmgr_la_LIBADD =
162am_libmgr_la_OBJECTS = Action.lo ActionParams.lo ActionPasswordList.lo \
163        ActionWriter.lo BasicActions.lo Command.lo CountersAction.lo \
164        Filler.lo Forwarder.lo FunAction.lo InfoAction.lo Inquirer.lo \
165        IntervalAction.lo IoAction.lo Registration.lo Request.lo \
166        Response.lo ServiceTimesAction.lo StoreIoAction.lo \
167        StoreToCommWriter.lo QueryParams.lo IntParam.lo StringParam.lo
168libmgr_la_OBJECTS = $(am_libmgr_la_OBJECTS)
169AM_V_lt = $(am__v_lt_@AM_V@)
170am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
171am__v_lt_0 = --silent
172am__v_lt_1 =
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES =
186depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
187am__depfiles_maybe = depfiles
188am__mv = mv -f
189CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
192        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
193        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
194        $(AM_CXXFLAGS) $(CXXFLAGS)
195AM_V_CXX = $(am__v_CXX_@AM_V@)
196am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
197am__v_CXX_0 = @echo "  CXX     " $@;
198am__v_CXX_1 =
199CXXLD = $(CXX)
200CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
201        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
202        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
203AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
204am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
205am__v_CXXLD_0 = @echo "  CXXLD   " $@;
206am__v_CXXLD_1 =
207COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
208        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
209LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CFLAGS) $(CFLAGS)
213AM_V_CC = $(am__v_CC_@AM_V@)
214am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
215am__v_CC_0 = @echo "  CC      " $@;
216am__v_CC_1 =
217CCLD = $(CC)
218LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
220        $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CCLD = $(am__v_CCLD_@AM_V@)
222am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
223am__v_CCLD_0 = @echo "  CCLD    " $@;
224am__v_CCLD_1 =
225SOURCES = $(libmgr_la_SOURCES)
226DIST_SOURCES = $(libmgr_la_SOURCES)
227am__can_run_installinfo = \
228  case $$AM_UPDATE_INFO_DIR in \
229    n|no|NO) false;; \
230    *) (install-info --version) >/dev/null 2>&1;; \
231  esac
232am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
233# Read a list of newline-separated strings from the standard input,
234# and print each of them once, without duplicates.  Input order is
235# *not* preserved.
236am__uniquify_input = $(AWK) '\
237  BEGIN { nonempty = 0; } \
238  { items[$$0] = 1; nonempty = 1; } \
239  END { if (nonempty) { for (i in items) print i; }; } \
240'
241# Make sure the list of sources is unique.  This is necessary because,
242# e.g., the same source file might be shared among _SOURCES variables
243# for different programs/libraries.
244am__define_uniq_tagged_files = \
245  list='$(am__tagged_files)'; \
246  unique=`for i in $$list; do \
247    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
248  done | $(am__uniquify_input)`
249ETAGS = etags
250CTAGS = ctags
251am__tty_colors_dummy = \
252  mgn= red= grn= lgn= blu= brg= std=; \
253  am__color_tests=no
254am__tty_colors = { \
255  $(am__tty_colors_dummy); \
256  if test "X$(AM_COLOR_TESTS)" = Xno; then \
257    am__color_tests=no; \
258  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
259    am__color_tests=yes; \
260  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
261    am__color_tests=yes; \
262  fi; \
263  if test $$am__color_tests = yes; then \
264    red='[0;31m'; \
265    grn='[0;32m'; \
266    lgn='[1;32m'; \
267    blu='[1;34m'; \
268    mgn='[0;35m'; \
269    brg='[1m'; \
270    std='[m'; \
271  fi; \
272}
273am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
274am__vpath_adj = case $$p in \
275    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
276    *) f=$$p;; \
277  esac;
278am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
279am__install_max = 40
280am__nobase_strip_setup = \
281  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
282am__nobase_strip = \
283  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
284am__nobase_list = $(am__nobase_strip_setup); \
285  for p in $$list; do echo "$$p $$p"; done | \
286  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
287  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
288    if (++n[$$2] == $(am__install_max)) \
289      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
290    END { for (dir in files) print dir, files[dir] }'
291am__base_list = \
292  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
293  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
294am__uninstall_files_from_dir = { \
295  test -z "$$files" \
296    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
297    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
298         $(am__cd) "$$dir" && rm -f $$files; }; \
299  }
300am__recheck_rx = ^[     ]*:recheck:[    ]*
301am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
302am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
303# A command that, given a newline-separated list of test names on the
304# standard input, print the name of the tests that are to be re-run
305# upon "make recheck".
306am__list_recheck_tests = $(AWK) '{ \
307  recheck = 1; \
308  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
309    { \
310      if (rc < 0) \
311        { \
312          if ((getline line2 < ($$0 ".log")) < 0) \
313            recheck = 0; \
314          break; \
315        } \
316      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
317        { \
318          recheck = 0; \
319          break; \
320        } \
321      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
322        { \
323          break; \
324        } \
325    }; \
326  if (recheck) \
327    print $$0; \
328  close ($$0 ".trs"); \
329  close ($$0 ".log"); \
330}'
331# A command that, given a newline-separated list of test names on the
332# standard input, create the global log from their .trs and .log files.
333am__create_global_log = $(AWK) ' \
334function fatal(msg) \
335{ \
336  print "fatal: making $@: " msg | "cat >&2"; \
337  exit 1; \
338} \
339function rst_section(header) \
340{ \
341  print header; \
342  len = length(header); \
343  for (i = 1; i <= len; i = i + 1) \
344    printf "="; \
345  printf "\n\n"; \
346} \
347{ \
348  copy_in_global_log = 1; \
349  global_test_result = "RUN"; \
350  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
351    { \
352      if (rc < 0) \
353         fatal("failed to read from " $$0 ".trs"); \
354      if (line ~ /$(am__global_test_result_rx)/) \
355        { \
356          sub("$(am__global_test_result_rx)", "", line); \
357          sub("[        ]*$$", "", line); \
358          global_test_result = line; \
359        } \
360      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
361        copy_in_global_log = 0; \
362    }; \
363  if (copy_in_global_log) \
364    { \
365      rst_section(global_test_result ": " $$0); \
366      while ((rc = (getline line < ($$0 ".log"))) != 0) \
367      { \
368        if (rc < 0) \
369          fatal("failed to read from " $$0 ".log"); \
370        print line; \
371      }; \
372      printf "\n"; \
373    }; \
374  close ($$0 ".trs"); \
375  close ($$0 ".log"); \
376}'
377# Restructured Text title.
378am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
379# Solaris 10 'make', and several other traditional 'make' implementations,
380# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
381# by disabling -e (using the XSI extension "set +e") if it's set.
382am__sh_e_setup = case $$- in *e*) set +e;; esac
383# Default flags passed to test drivers.
384am__common_driver_flags = \
385  --color-tests "$$am__color_tests" \
386  --enable-hard-errors "$$am__enable_hard_errors" \
387  --expect-failure "$$am__expect_failure"
388# To be inserted before the command running the test.  Creates the
389# directory for the log if needed.  Stores in $dir the directory
390# containing $f, in $tst the test, in $log the log.  Executes the
391# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
392# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
393# will run the test scripts (or their associated LOG_COMPILER, if
394# thy have one).
395am__check_pre = \
396$(am__sh_e_setup);                                      \
397$(am__vpath_adj_setup) $(am__vpath_adj)                 \
398$(am__tty_colors);                                      \
399srcdir=$(srcdir); export srcdir;                        \
400case "$@" in                                            \
401  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
402    *) am__odir=.;;                                     \
403esac;                                                   \
404test "x$$am__odir" = x"." || test -d "$$am__odir"       \
405  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
406if test -f "./$$f"; then dir=./;                        \
407elif test -f "$$f"; then dir=;                          \
408else dir="$(srcdir)/"; fi;                              \
409tst=$$dir$$f; log='$@';                                 \
410if test -n '$(DISABLE_HARD_ERRORS)'; then               \
411  am__enable_hard_errors=no;                            \
412else                                                    \
413  am__enable_hard_errors=yes;                           \
414fi;                                                     \
415case " $(XFAIL_TESTS) " in                              \
416  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
417    am__expect_failure=yes;;                            \
418  *)                                                    \
419    am__expect_failure=no;;                             \
420esac;                                                   \
421$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
422# A shell command to get the names of the tests scripts with any registered
423# extension removed (i.e., equivalently, the names of the test logs, with
424# the '.log' extension removed).  The result is saved in the shell variable
425# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
426# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
427# since that might cause problem with VPATH rewrites for suffix-less tests.
428# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
429am__set_TESTS_bases = \
430  bases='$(TEST_LOGS)'; \
431  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
432  bases=`echo $$bases`
433RECHECK_LOGS = $(TEST_LOGS)
434AM_RECURSIVE_TARGETS = check recheck
435TEST_SUITE_LOG = test-suite.log
436TEST_EXTENSIONS = @EXEEXT@ .test
437LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
438LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
439am__set_b = \
440  case '$@' in \
441    */*) \
442      case '$*' in \
443        */*) b='$*';; \
444          *) b=`echo '$@' | sed 's/\.log$$//'`; \
445       esac;; \
446    *) \
447      b='$*';; \
448  esac
449am__test_logs1 = $(TESTS:=.log)
450am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
451TEST_LOGS = $(am__test_logs2:.test.log=.log)
452TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
453TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
454        $(TEST_LOG_FLAGS)
455am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
456        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
457        $(top_srcdir)/src/TestHeaders.am
458DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
459ACLOCAL = @ACLOCAL@
460ADAPTATION_LIBS = @ADAPTATION_LIBS@
461ALLOCA = @ALLOCA@
462AMTAR = @AMTAR@
463AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
464AR = @AR@
465ARGZ_H = @ARGZ_H@
466AR_R = @AR_R@
467AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
468AUTH_MODULES = @AUTH_MODULES@
469AUTOCONF = @AUTOCONF@
470AUTOHEADER = @AUTOHEADER@
471AUTOMAKE = @AUTOMAKE@
472AWK = @AWK@
473BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
474BUILDCXX = @BUILDCXX@
475BUILDCXXFLAGS = @BUILDCXXFLAGS@
476BZR = @BZR@
477CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
478CC = @CC@
479CCDEPMODE = @CCDEPMODE@
480CFLAGS = @CFLAGS@
481CGIEXT = @CGIEXT@
482CHMOD = @CHMOD@
483CPP = @CPP@
484CPPFLAGS = @CPPFLAGS@
485CPPUNITCONFIG = @CPPUNITCONFIG@
486CRYPTLIB = @CRYPTLIB@
487CXX = @CXX@
488CXXCPP = @CXXCPP@
489CXXDEPMODE = @CXXDEPMODE@
490CXXFLAGS = @CXXFLAGS@
491CYGPATH_W = @CYGPATH_W@
492DEFAULT_HOSTS = @DEFAULT_HOSTS@
493DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
494DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
495DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
496DEFS = @DEFS@
497DEPDIR = @DEPDIR@
498DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
499DISK_LIBS = @DISK_LIBS@
500DISK_LINKOBJS = @DISK_LINKOBJS@
501DISK_MODULES = @DISK_MODULES@
502DISK_OS_LIBS = @DISK_OS_LIBS@
503DISK_PROGRAMS = @DISK_PROGRAMS@
504DLLTOOL = @DLLTOOL@
505DSYMUTIL = @DSYMUTIL@
506DUMPBIN = @DUMPBIN@
507ECAP_LIBS = @ECAP_LIBS@
508ECHO_C = @ECHO_C@
509ECHO_N = @ECHO_N@
510ECHO_T = @ECHO_T@
511EGREP = @EGREP@
512EPOLL_LIBS = @EPOLL_LIBS@
513EUILIB = @EUILIB@
514EXEEXT = @EXEEXT@
515EXPATLIB = @EXPATLIB@
516EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
517EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
518EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
519FALSE = @FALSE@
520FGREP = @FGREP@
521GREP = @GREP@
522HAVE_CXX11 = @HAVE_CXX11@
523ICAP_LIBS = @ICAP_LIBS@
524INCLTDL = @INCLTDL@
525INSTALL = @INSTALL@
526INSTALL_DATA = @INSTALL_DATA@
527INSTALL_PROGRAM = @INSTALL_PROGRAM@
528INSTALL_SCRIPT = @INSTALL_SCRIPT@
529INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
530KRB5INCS = @KRB5INCS@
531KRB5LIBS = @KRB5LIBS@
532LBERLIB = @LBERLIB@
533LD = @LD@
534LDAPLIB = @LDAPLIB@
535LDFLAGS = @LDFLAGS@
536LIBADD_DL = @LIBADD_DL@
537LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
538LIBADD_DLOPEN = @LIBADD_DLOPEN@
539LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
540LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
541LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
542LIBLTDL = @LIBLTDL@
543LIBOBJS = @LIBOBJS@
544LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
545LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
546LIBS = @LIBS@
547LIBSASL = @LIBSASL@
548LIBTOOL = @LIBTOOL@
549LIB_DB = @LIB_DB@
550LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
551LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
552LINUXDOC = @LINUXDOC@
553LIPO = @LIPO@
554LN = @LN@
555LN_S = @LN_S@
556LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
557LTDLDEPS = @LTDLDEPS@
558LTDLINCL = @LTDLINCL@
559LTDLOPEN = @LTDLOPEN@
560LTLIBOBJS = @LTLIBOBJS@
561LT_CONFIG_H = @LT_CONFIG_H@
562LT_DLLOADERS = @LT_DLLOADERS@
563LT_DLPREOPEN = @LT_DLPREOPEN@
564MAINT = @MAINT@
565MAKEINFO = @MAKEINFO@
566MANIFEST_TOOL = @MANIFEST_TOOL@
567MINGW_LIBS = @MINGW_LIBS@
568MKDIR = @MKDIR@
569MKDIR_P = @MKDIR_P@
570MV = @MV@
571NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
572NETTLELIB = @NETTLELIB@
573NM = @NM@
574NMEDIT = @NMEDIT@
575NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
576OBJDUMP = @OBJDUMP@
577OBJEXT = @OBJEXT@
578OTOOL = @OTOOL@
579OTOOL64 = @OTOOL64@
580PACKAGE = @PACKAGE@
581PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
582PACKAGE_NAME = @PACKAGE_NAME@
583PACKAGE_STRING = @PACKAGE_STRING@
584PACKAGE_TARNAME = @PACKAGE_TARNAME@
585PACKAGE_URL = @PACKAGE_URL@
586PACKAGE_VERSION = @PACKAGE_VERSION@
587PATH_SEPARATOR = @PATH_SEPARATOR@
588PERL = @PERL@
589PKG_CONFIG = @PKG_CONFIG@
590PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
591PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
592PO2HTML = @PO2HTML@
593PO2TEXT = @PO2TEXT@
594POD2MAN = @POD2MAN@
595RANLIB = @RANLIB@
596REGEXLIB = @REGEXLIB@
597REPL_LIBS = @REPL_LIBS@
598REPL_OBJS = @REPL_OBJS@
599REPL_POLICIES = @REPL_POLICIES@
600RM = @RM@
601SED = @SED@
602SET_MAKE = @SET_MAKE@
603SH = @SH@
604SHELL = @SHELL@
605SMBCLIENT = @SMBCLIENT@
606SNMPLIB = @SNMPLIB@
607SQUID_CFLAGS = @SQUID_CFLAGS@
608SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
609SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
610SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
611SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
612SSLLIB = @SSLLIB@
613STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
614STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
615STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
616STORE_TESTS = @STORE_TESTS@
617STRIP = @STRIP@
618TR = @TR@
619TRUE = @TRUE@
620URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
621VERSION = @VERSION@
622WBINFO = @WBINFO@
623WIN32_PSAPI = @WIN32_PSAPI@
624XMLLIB = @XMLLIB@
625XTRA_LIBS = @XTRA_LIBS@
626XTRA_OBJS = @XTRA_OBJS@
627abs_builddir = @abs_builddir@
628abs_srcdir = @abs_srcdir@
629abs_top_builddir = @abs_top_builddir@
630abs_top_srcdir = @abs_top_srcdir@
631ac_ct_AR = @ac_ct_AR@
632ac_ct_CC = @ac_ct_CC@
633ac_ct_CXX = @ac_ct_CXX@
634ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
635am__include = @am__include@
636am__leading_dot = @am__leading_dot@
637am__quote = @am__quote@
638am__tar = @am__tar@
639am__untar = @am__untar@
640bindir = @bindir@
641build = @build@
642build_alias = @build_alias@
643build_cpu = @build_cpu@
644build_os = @build_os@
645build_vendor = @build_vendor@
646builddir = @builddir@
647datadir = @datadir@
648datarootdir = @datarootdir@
649docdir = @docdir@
650dvidir = @dvidir@
651exec_prefix = @exec_prefix@
652host = @host@
653host_alias = @host_alias@
654host_cpu = @host_cpu@
655host_os = @host_os@
656host_vendor = @host_vendor@
657htmldir = @htmldir@
658includedir = @includedir@
659infodir = @infodir@
660install_sh = @install_sh@
661krb5_config = @krb5_config@
662libdir = @libdir@
663libexecdir = @libexecdir@
664localedir = @localedir@
665localstatedir = @localstatedir@
666ltdl_LIBOBJS = @ltdl_LIBOBJS@
667ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
668mandir = @mandir@
669mkdir_p = @mkdir_p@
670oldincludedir = @oldincludedir@
671pdfdir = @pdfdir@
672prefix = @prefix@
673program_transform_name = @program_transform_name@
674psdir = @psdir@
675runstatedir = @runstatedir@
676sbindir = @sbindir@
677sharedstatedir = @sharedstatedir@
678srcdir = @srcdir@
679subdirs = @subdirs@
680sys_symbol_underscore = @sys_symbol_underscore@
681sysconfdir = @sysconfdir@
682target_alias = @target_alias@
683top_build_prefix = @top_build_prefix@
684top_builddir = @top_builddir@
685top_srcdir = @top_srcdir@
686AM_CFLAGS = $(SQUID_CFLAGS)
687AM_CXXFLAGS = $(SQUID_CXXFLAGS)
688CLEANFILES = testHeaders
689TESTS = testHeaders
690AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
691        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
692        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
693        $(am__append_1)
694@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
695@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
696COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
697subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
698noinst_LTLIBRARIES = libmgr.la
699libmgr_la_SOURCES = \
700        Action.cc \
701        ActionCreator.h \
702        Action.h \
703        ActionParams.cc \
704        ActionParams.h \
705        ActionPasswordList.h \
706        ActionPasswordList.cc \
707        ActionProfile.h \
708        ActionWriter.cc \
709        ActionWriter.h \
710        BasicActions.cc \
711        BasicActions.h \
712        Command.cc \
713        Command.h \
714        CountersAction.cc \
715        CountersAction.h \
716        Filler.cc \
717        Filler.h \
718        Forwarder.cc \
719        Forwarder.h \
720        forward.h \
721        FunAction.cc \
722        FunAction.h \
723        InfoAction.cc \
724        InfoAction.h \
725        Inquirer.cc \
726        Inquirer.h \
727        IntervalAction.cc \
728        IntervalAction.h \
729        IoAction.cc \
730        IoAction.h \
731        Registration.cc \
732        Registration.h \
733        Request.cc \
734        Request.h \
735        Response.cc \
736        Response.h \
737        ServiceTimesAction.cc \
738        ServiceTimesAction.h \
739        StoreIoAction.cc \
740        StoreIoAction.h \
741        StoreToCommWriter.cc \
742        StoreToCommWriter.h \
743        QueryParam.h \
744        QueryParams.cc \
745        QueryParams.h \
746        IntParam.cc \
747        IntParam.h \
748        StringParam.cc \
749        StringParam.h
750
751all: all-am
752
753.SUFFIXES:
754.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
755$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
756        @for dep in $?; do \
757          case '$(am__configure_deps)' in \
758            *$$dep*) \
759              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
760                && { if test -f $@; then exit 0; else break; fi; }; \
761              exit 1;; \
762          esac; \
763        done; \
764        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/mgr/Makefile'; \
765        $(am__cd) $(top_srcdir) && \
766          $(AUTOMAKE) --foreign src/mgr/Makefile
767Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
768        @case '$?' in \
769          *config.status*) \
770            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
771          *) \
772            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
773            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
774        esac;
775$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
776
777$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
778        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
779
780$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
781        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
782$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
783        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
784$(am__aclocal_m4_deps):
785
786clean-noinstLTLIBRARIES:
787        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
788        @list='$(noinst_LTLIBRARIES)'; \
789        locs=`for p in $$list; do echo $$p; done | \
790              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
791              sort -u`; \
792        test -z "$$locs" || { \
793          echo rm -f $${locs}; \
794          rm -f $${locs}; \
795        }
796
797libmgr.la: $(libmgr_la_OBJECTS) $(libmgr_la_DEPENDENCIES) $(EXTRA_libmgr_la_DEPENDENCIES)
798        $(AM_V_CXXLD)$(CXXLINK)  $(libmgr_la_OBJECTS) $(libmgr_la_LIBADD) $(LIBS)
799
800clean-checkPROGRAMS:
801        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
802        echo " rm -f" $$list; \
803        rm -f $$list || exit $$?; \
804        test -n "$(EXEEXT)" || exit 0; \
805        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
806        echo " rm -f" $$list; \
807        rm -f $$list
808
809mostlyclean-compile:
810        -rm -f *.$(OBJEXT)
811
812distclean-compile:
813        -rm -f *.tab.c
814
815@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Action.Plo@am__quote@
816@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionParams.Plo@am__quote@
817@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionPasswordList.Plo@am__quote@
818@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionWriter.Plo@am__quote@
819@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BasicActions.Plo@am__quote@
820@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Command.Plo@am__quote@
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CountersAction.Plo@am__quote@
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Filler.Plo@am__quote@
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Forwarder.Plo@am__quote@
824@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FunAction.Plo@am__quote@
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/InfoAction.Plo@am__quote@
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Inquirer.Plo@am__quote@
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IntParam.Plo@am__quote@
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IntervalAction.Plo@am__quote@
829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IoAction.Plo@am__quote@
830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/QueryParams.Plo@am__quote@
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Registration.Plo@am__quote@
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Request.Plo@am__quote@
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Response.Plo@am__quote@
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceTimesAction.Plo@am__quote@
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StoreIoAction.Plo@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StoreToCommWriter.Plo@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StringParam.Plo@am__quote@
838
839.cc.o:
840@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
841@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
842@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
843@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
846
847.cc.obj:
848@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
849@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
850@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
851@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
852@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
854
855.cc.lo:
856@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
857@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
858@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
859@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
860@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
862
863mostlyclean-libtool:
864        -rm -f *.lo
865
866clean-libtool:
867        -rm -rf .libs _libs
868
869ID: $(am__tagged_files)
870        $(am__define_uniq_tagged_files); mkid -fID $$unique
871tags: tags-am
872TAGS: tags
873
874tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
875        set x; \
876        here=`pwd`; \
877        $(am__define_uniq_tagged_files); \
878        shift; \
879        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
880          test -n "$$unique" || unique=$$empty_fix; \
881          if test $$# -gt 0; then \
882            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
883              "$$@" $$unique; \
884          else \
885            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
886              $$unique; \
887          fi; \
888        fi
889ctags: ctags-am
890
891CTAGS: ctags
892ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
893        $(am__define_uniq_tagged_files); \
894        test -z "$(CTAGS_ARGS)$$unique" \
895          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
896             $$unique
897
898GTAGS:
899        here=`$(am__cd) $(top_builddir) && pwd` \
900          && $(am__cd) $(top_srcdir) \
901          && gtags -i $(GTAGS_ARGS) "$$here"
902cscopelist: cscopelist-am
903
904cscopelist-am: $(am__tagged_files)
905        list='$(am__tagged_files)'; \
906        case "$(srcdir)" in \
907          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
908          *) sdir=$(subdir)/$(srcdir) ;; \
909        esac; \
910        for i in $$list; do \
911          if test -f "$$i"; then \
912            echo "$(subdir)/$$i"; \
913          else \
914            echo "$$sdir/$$i"; \
915          fi; \
916        done >> $(top_builddir)/cscope.files
917
918distclean-tags:
919        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
920
921# Recover from deleted '.trs' file; this should ensure that
922# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
923# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
924# to avoid problems with "make -n".
925.log.trs:
926        rm -f $< $@
927        $(MAKE) $(AM_MAKEFLAGS) $<
928
929# Leading 'am--fnord' is there to ensure the list of targets does not
930# expand to empty, as could happen e.g. with make check TESTS=''.
931am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
932am--force-recheck:
933        @:
934
935$(TEST_SUITE_LOG): $(TEST_LOGS)
936        @$(am__set_TESTS_bases); \
937        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
938        redo_bases=`for i in $$bases; do \
939                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
940                    done`; \
941        if test -n "$$redo_bases"; then \
942          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
943          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
944          if $(am__make_dryrun); then :; else \
945            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
946          fi; \
947        fi; \
948        if test -n "$$am__remaking_logs"; then \
949          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
950               "recursion detected" >&2; \
951        elif test -n "$$redo_logs"; then \
952          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
953        fi; \
954        if $(am__make_dryrun); then :; else \
955          st=0;  \
956          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
957          for i in $$redo_bases; do \
958            test -f $$i.trs && test -r $$i.trs \
959              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
960            test -f $$i.log && test -r $$i.log \
961              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
962          done; \
963          test $$st -eq 0 || exit 1; \
964        fi
965        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
966        ws='[   ]'; \
967        results=`for b in $$bases; do echo $$b.trs; done`; \
968        test -n "$$results" || results=/dev/null; \
969        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
970        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
971        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
972        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
973        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
974        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
975        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
976        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
977          success=true; \
978        else \
979          success=false; \
980        fi; \
981        br='==================='; br=$$br$$br$$br$$br; \
982        result_count () \
983        { \
984            if test x"$$1" = x"--maybe-color"; then \
985              maybe_colorize=yes; \
986            elif test x"$$1" = x"--no-color"; then \
987              maybe_colorize=no; \
988            else \
989              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
990            fi; \
991            shift; \
992            desc=$$1 count=$$2; \
993            if test $$maybe_colorize = yes && test $$count -gt 0; then \
994              color_start=$$3 color_end=$$std; \
995            else \
996              color_start= color_end=; \
997            fi; \
998            echo "$${color_start}# $$desc $$count$${color_end}"; \
999        }; \
1000        create_testsuite_report () \
1001        { \
1002          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1003          result_count $$1 "PASS: " $$pass  "$$grn"; \
1004          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1005          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1006          result_count $$1 "FAIL: " $$fail  "$$red"; \
1007          result_count $$1 "XPASS:" $$xpass "$$red"; \
1008          result_count $$1 "ERROR:" $$error "$$mgn"; \
1009        }; \
1010        {                                                               \
1011          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1012            $(am__rst_title);                                           \
1013          create_testsuite_report --no-color;                           \
1014          echo;                                                         \
1015          echo ".. contents:: :depth: 2";                               \
1016          echo;                                                         \
1017          for b in $$bases; do echo $$b; done                           \
1018            | $(am__create_global_log);                                 \
1019        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1020        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1021        if $$success; then                                              \
1022          col="$$grn";                                                  \
1023         else                                                           \
1024          col="$$red";                                                  \
1025          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1026        fi;                                                             \
1027        echo "$${col}$$br$${std}";                                      \
1028        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1029        echo "$${col}$$br$${std}";                                      \
1030        create_testsuite_report --maybe-color;                          \
1031        echo "$$col$$br$$std";                                          \
1032        if $$success; then :; else                                      \
1033          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1034          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1035            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1036          fi;                                                           \
1037          echo "$$col$$br$$std";                                        \
1038        fi;                                                             \
1039        $$success || exit 1
1040
1041check-TESTS:
1042        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1043        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1044        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1045        @set +e; $(am__set_TESTS_bases); \
1046        log_list=`for i in $$bases; do echo $$i.log; done`; \
1047        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1048        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1049        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1050        exit $$?;
1051recheck: all $(check_PROGRAMS)
1052        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1053        @set +e; $(am__set_TESTS_bases); \
1054        bases=`for i in $$bases; do echo $$i; done \
1055                 | $(am__list_recheck_tests)` || exit 1; \
1056        log_list=`for i in $$bases; do echo $$i.log; done`; \
1057        log_list=`echo $$log_list`; \
1058        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1059                am__force_recheck=am--force-recheck \
1060                TEST_LOGS="$$log_list"; \
1061        exit $$?
1062testHeaders.log: testHeaders
1063        @p='testHeaders'; \
1064        b='testHeaders'; \
1065        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1066        --log-file $$b.log --trs-file $$b.trs \
1067        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1068        "$$tst" $(AM_TESTS_FD_REDIRECT)
1069.test.log:
1070        @p='$<'; \
1071        $(am__set_b); \
1072        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1073        --log-file $$b.log --trs-file $$b.trs \
1074        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1075        "$$tst" $(AM_TESTS_FD_REDIRECT)
1076@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1077@am__EXEEXT_TRUE@       @p='$<'; \
1078@am__EXEEXT_TRUE@       $(am__set_b); \
1079@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1080@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1081@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1082@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1083
1084distdir: $(DISTFILES)
1085        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1086        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1087        list='$(DISTFILES)'; \
1088          dist_files=`for file in $$list; do echo $$file; done | \
1089          sed -e "s|^$$srcdirstrip/||;t" \
1090              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1091        case $$dist_files in \
1092          */*) $(MKDIR_P) `echo "$$dist_files" | \
1093                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1094                           sort -u` ;; \
1095        esac; \
1096        for file in $$dist_files; do \
1097          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1098          if test -d $$d/$$file; then \
1099            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1100            if test -d "$(distdir)/$$file"; then \
1101              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1102            fi; \
1103            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1104              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1105              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1106            fi; \
1107            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1108          else \
1109            test -f "$(distdir)/$$file" \
1110            || cp -p $$d/$$file "$(distdir)/$$file" \
1111            || exit 1; \
1112          fi; \
1113        done
1114check-am: all-am
1115        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1116        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1117check: check-am
1118all-am: Makefile $(LTLIBRARIES)
1119installdirs:
1120install: install-am
1121install-exec: install-exec-am
1122install-data: install-data-am
1123uninstall: uninstall-am
1124
1125install-am: all-am
1126        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1127
1128installcheck: installcheck-am
1129install-strip:
1130        if test -z '$(STRIP)'; then \
1131          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1132            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1133              install; \
1134        else \
1135          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1136            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1137            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1138        fi
1139mostlyclean-generic:
1140        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1141        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1142        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1143
1144clean-generic:
1145        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1146
1147distclean-generic:
1148        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1149        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1150
1151maintainer-clean-generic:
1152        @echo "This command is intended for maintainers to use"
1153        @echo "it deletes files that may require special tools to rebuild."
1154clean: clean-am
1155
1156clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1157        clean-noinstLTLIBRARIES mostlyclean-am
1158
1159distclean: distclean-am
1160        -rm -rf ./$(DEPDIR)
1161        -rm -f Makefile
1162distclean-am: clean-am distclean-compile distclean-generic \
1163        distclean-tags
1164
1165dvi: dvi-am
1166
1167dvi-am:
1168
1169html: html-am
1170
1171html-am:
1172
1173info: info-am
1174
1175info-am:
1176
1177install-data-am:
1178
1179install-dvi: install-dvi-am
1180
1181install-dvi-am:
1182
1183install-exec-am:
1184
1185install-html: install-html-am
1186
1187install-html-am:
1188
1189install-info: install-info-am
1190
1191install-info-am:
1192
1193install-man:
1194
1195install-pdf: install-pdf-am
1196
1197install-pdf-am:
1198
1199install-ps: install-ps-am
1200
1201install-ps-am:
1202
1203installcheck-am:
1204
1205maintainer-clean: maintainer-clean-am
1206        -rm -rf ./$(DEPDIR)
1207        -rm -f Makefile
1208maintainer-clean-am: distclean-am maintainer-clean-generic
1209
1210mostlyclean: mostlyclean-am
1211
1212mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1213        mostlyclean-libtool
1214
1215pdf: pdf-am
1216
1217pdf-am:
1218
1219ps: ps-am
1220
1221ps-am:
1222
1223uninstall-am:
1224
1225.MAKE: check-am install-am install-strip
1226
1227.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1228        clean-checkPROGRAMS clean-generic clean-libtool \
1229        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1230        distclean-compile distclean-generic distclean-libtool \
1231        distclean-tags distdir dvi dvi-am html html-am info info-am \
1232        install install-am install-data install-data-am install-dvi \
1233        install-dvi-am install-exec install-exec-am install-html \
1234        install-html-am install-info install-info-am install-man \
1235        install-pdf install-pdf-am install-ps install-ps-am \
1236        install-strip installcheck installcheck-am installdirs \
1237        maintainer-clean maintainer-clean-generic mostlyclean \
1238        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1239        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1240        uninstall-am
1241
1242.PRECIOUS: Makefile
1243
1244
1245$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1246
1247testHeaders: $(srcdir)/*.h
1248        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1249
1250.PHONY: testHeaders
1251
1252# Tell versions [3.59,3.63) of GNU make to not export all variables.
1253# Otherwise a system limit (for SysV at least) may be exceeded.
1254.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.